JUCE: AudioProcessor::BusesProperties Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
AudioProcessor::BusesProperties Struct Reference
juce_audio_processors » processors

Structure used for AudioProcessor Callbacks. More...

`#include <juce_AudioProcessor.h>`

## Public Member Functions
void | addBus (bool isInput, const String &name, const AudioChannelSet &defaultLayout, bool isActivatedByDefault=true)
BusesProperties | withInput (const String &name, const AudioChannelSet &defaultLayout, bool isActivatedByDefault=true) const
BusesProperties | withOutput (const String &name, const AudioChannelSet &defaultLayout, bool isActivatedByDefault=true) const

## Public Attributes
Array< BusProperties > | inputLayouts
| The layouts of the input buses.
Array< BusProperties > | outputLayouts
| The layouts of the output buses.

## Detailed Description

Structure used for AudioProcessor Callbacks.

## Member Function Documentation

## ◆ addBus()

void AudioProcessor::BusesProperties::addBus | ( | bool | isInput,
|  | const String & | name,
|  | const AudioChannelSet & | defaultLayout,
|  | bool | isActivatedByDefault = true )

## ◆ withInput()

BusesProperties AudioProcessor::BusesProperties::withInput | ( | const String & | name,
|  | const AudioChannelSet & | defaultLayout,
|  | bool | isActivatedByDefault = true ) const

## ◆ withOutput()

BusesProperties AudioProcessor::BusesProperties::withOutput | ( | const String & | name,
|  | const AudioChannelSet & | defaultLayout,
|  | bool | isActivatedByDefault = true ) const

## Member Data Documentation

## ◆ inputLayouts

Array<BusProperties> AudioProcessor::BusesProperties::inputLayouts

The layouts of the input buses.

## ◆ outputLayouts

Array<BusProperties> AudioProcessor::BusesProperties::outputLayouts

The layouts of the output buses.

The documentation for this struct was generated from the following file:

- juce_AudioProcessor.h